#!/usr/bin/env bash

source bin/helpers/func.sh

# Create any missing directories/files
touch ~/.bash_completion
mkdir -p $HOME/.local/bin/

# Symbolically link binaries
ln -sf $(pwd)/bin/kcm $HOME/.local/bin/kcm
ln -sf $(pwd)/bin/kcm-completion.bash $HOME/.local/bin/kcm-completion.bash

# Add completion to bash_completion for kcm
sed -i '/kcm/d' ~/.bash_completion
echo "source $HOME/.local/bin/kcm-completion.bash" >> ~/.bash_completion

printfe "%s\n" "green" "Local installation complete. Binary has been installed to $HOME/.local/bin/kcm"
source ~/.bash_completion
