package utils

import (
	"crypto/sha256"
)

// HashBytes returns a SHA256 hash of the given byte slice as a string.
func HashBytes(data []byte) string {
	h := sha256.Sum256(data)
	return string(h[:])
}
